5.2.3.1.2. Drag and Drop in GEF Figure Canvas
Prev | 5.2.3.1. Actions that execute behavior - GEF Figure Canvas | Next

#### 5.2.3.1.2. Drag and Drop in GEF Figure Canvas

Drag Figure

- This action drags the figure you specify.

- The cursor is moved over the figure.

- The mouse button you specify is held, and the figure is dragged.

- Follow this action with a drop action.

- Parameters:

  - Textpath

  - Operator

  - Mouse Button

  - Modifier Keys

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

Drop on Figure

- This action drops a dragged figure onto the figure you specify.

- The cursor is moved over the figure.

- The mouse button is let loose, and the figure is dropped.

- Precede this action with a drag action.

- Parameters:

  - Textpath

  - Operator

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Delay before drop